Foxit PDF SDK

Public Types | Public Member Functions | Public Attributes | List of all members
foxit::addon::comparison::CompareResultInfo Class Reference

Inherits Object.

## Public Types
enum | CompareResultType { e_CompareResultTypeNone = -1, e_CompareResultTypeDeleteText = 0, e_CompareResultTypeInsertText = 1, e_CompareResultTypeReplaceText = 2, e_CompareResultTypeDeleteImage = 6, e_CompareResultTypeInsertImage = 7, e_CompareResultTypeReplaceImage = 8, e_CompareResultTypeDeletePath = 9, e_CompareResultTypeInsertPath = 10, e_CompareResultTypeReplacePath = 11, e_CompareResultTypeDeleteShading = 12, e_CompareResultTypeInsertShading = 13, e_CompareResultTypeReplaceShading = 14, e_CompareResultTypeDeleteAnnot = 15, e_CompareResultTypeInsertAnnot = 16, e_CompareResultTypeReplaceAnnot = 17, e_CompareResultTypeTextAttriChange = 18 }
| Enumeration for compare result type. More...

## Public Member Functions
| CompareResultInfo ()
| Constructor.
| CompareResultInfo (CompareResultType type, RectFArray rect_array, WString diff_contents)
| Constructor, with parameters. More...
| CompareResultInfo (const CompareResultInfo &result_info)
| Constructor, with another result information object. More...
CompareResultInfo & | operator= (const CompareResultInfo &result_info)
| Assign operator. More...

## Public Attributes
WString | diff_contents
| Different contents as compared result.
RectFArray | rect_array
| Rectangle array which specifies the location of parameter diff_contents in the PDF page to be compared.
CompareResultType | type
| Result type. Please refer to values starting from CompareResultInfo::e_CompareResultTypeNone and this should be one of these values.

## Detailed Description

This class represents the compare result information.

## Member Enumeration Documentation

## ◆ CompareResultType

enum foxit::addon::comparison::CompareResultInfo::CompareResultType

Enumeration for compare result type.

Values of this enumeration can be used alone.

Enumerator
e_CompareResultTypeNone | Result type: unsupported or invalid.
e_CompareResultTypeDeleteText | Result type: delete text.
e_CompareResultTypeInsertText | Result type: insert text.
e_CompareResultTypeReplaceText | Result type: replace text.
e_CompareResultTypeDeleteImage | Result type: delete image.
e_CompareResultTypeInsertImage | Result type: insert image.
e_CompareResultTypeReplaceImage | Result type: replace image.
e_CompareResultTypeDeletePath | Result type: delete path.
e_CompareResultTypeInsertPath | Result type: insert path.
e_CompareResultTypeReplacePath | Result type: replace path.
e_CompareResultTypeDeleteShading | Result type: delete shading.
e_CompareResultTypeInsertShading | Result type: insert shading.
e_CompareResultTypeReplaceShading | Result type: replace shading.
e_CompareResultTypeDeleteAnnot | Result type: delete annotation.
e_CompareResultTypeInsertAnnot | Result type: insert annotation.
e_CompareResultTypeReplaceAnnot | Result type: replace annotation.
e_CompareResultTypeTextAttriChange | (Reserved, not supported yet) Result type: text attribute change.

## Constructor & Destructor Documentation

## ◆ CompareResultInfo() [1/2]

foxit::addon::comparison::CompareResultInfo::CompareResultInfo | ( | CompareResultType | type,
|  | RectFArray | rect_array,
|  | WString | diff_contents
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | type | Result type. Please refer to values starting from CompareResultInfo::e_CompareResultTypeNone and this should be one of these values.
  [in] | rect_array | Rectangle array which specifies the location of parameter diff_contents in the PDF page to be compared.
  [in] | diff_contents | Different contents as compared result.

## ◆ CompareResultInfo() [2/2]

foxit::addon::comparison::CompareResultInfo::CompareResultInfo | ( | const CompareResultInfo & | result_info | ) |
| inline

Constructor, with another result information object.

Parameters

  [in] | result_info | Another result information object.

## Member Function Documentation

## ◆ operator=()

CompareResultInfo& foxit::addon::comparison::CompareResultInfo::operator= | ( | const CompareResultInfo & | result_info | ) |
| inline

Assign operator.

Parameters

  [in] | result_info | Another result information object, whose value would be assigned to current object.

Returns
  Reference to current object itself.